diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/spectrum/model/trace-fading-loss-model.cc ns-3.43/src/spectrum/model/trace-fading-loss-model.cc
--- ns-3.42/src/spectrum/model/trace-fading-loss-model.cc	2024-05-29 15:29:47.172073600 -0700
+++ ns-3.43/src/spectrum/model/trace-fading-loss-model.cc	2024-10-09 16:41:10.088656700 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2011 Centre Tecnologic de Telecomunicacions de Catalunya (CTTC)
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Giuseppe Piro  <g.piro@poliba.it>
  *         Marco Miozzo <mmiozzo@cttc.es>
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/spectrum/model/trace-fading-loss-model.h ns-3.43/src/spectrum/model/trace-fading-loss-model.h
--- ns-3.42/src/spectrum/model/trace-fading-loss-model.h	2024-05-29 15:29:47.172073600 -0700
+++ ns-3.43/src/spectrum/model/trace-fading-loss-model.h	2024-10-09 16:41:10.088656700 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2011 Centre Tecnologic de Telecomunicacions de Catalunya (CTTC)
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Giuseppe Piro  <g.piro@poliba.it>
  *         Marco Miozzo <mmiozzo@cttc.es>
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/spectrum/model/tv-spectrum-transmitter.cc ns-3.43/src/spectrum/model/tv-spectrum-transmitter.cc
--- ns-3.42/src/spectrum/model/tv-spectrum-transmitter.cc	2024-05-29 15:29:47.172073600 -0700
+++ ns-3.43/src/spectrum/model/tv-spectrum-transmitter.cc	2024-10-09 16:41:10.092656600 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2014 University of Washington
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Benjamin Cizdziel <ben.cizdziel@gmail.com>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/spectrum/model/tv-spectrum-transmitter.h ns-3.43/src/spectrum/model/tv-spectrum-transmitter.h
--- ns-3.42/src/spectrum/model/tv-spectrum-transmitter.h	2024-05-29 15:29:47.172073600 -0700
+++ ns-3.43/src/spectrum/model/tv-spectrum-transmitter.h	2024-10-09 16:41:10.092656600 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2014 University of Washington
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Benjamin Cizdziel <ben.cizdziel@gmail.com>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/spectrum/model/two-ray-spectrum-propagation-loss-model.cc ns-3.43/src/spectrum/model/two-ray-spectrum-propagation-loss-model.cc
--- ns-3.42/src/spectrum/model/two-ray-spectrum-propagation-loss-model.cc	2024-05-29 15:29:47.172073600 -0700
+++ ns-3.43/src/spectrum/model/two-ray-spectrum-propagation-loss-model.cc	2024-10-09 16:41:10.092656600 -0700
@@ -2,18 +2,7 @@
  * Copyright (c) 2022 SIGNET Lab, Department of Information Engineering,
  * University of Padova
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  */
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/spectrum/model/two-ray-spectrum-propagation-loss-model.h ns-3.43/src/spectrum/model/two-ray-spectrum-propagation-loss-model.h
--- ns-3.42/src/spectrum/model/two-ray-spectrum-propagation-loss-model.h	2024-05-29 15:29:47.172073600 -0700
+++ ns-3.43/src/spectrum/model/two-ray-spectrum-propagation-loss-model.h	2024-10-09 16:41:10.092656600 -0700
@@ -2,18 +2,7 @@
  * Copyright (c) 2022 SIGNET Lab, Department of Information Engineering,
  * University of Padova
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  */
 
 #ifndef TWO_RAY_SPECTRUM_PROPAGATION_LOSS_H
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/spectrum/model/waveform-generator.cc ns-3.43/src/spectrum/model/waveform-generator.cc
--- ns-3.42/src/spectrum/model/waveform-generator.cc	2024-05-29 15:29:47.172073600 -0700
+++ ns-3.43/src/spectrum/model/waveform-generator.cc	2024-10-09 16:41:10.092656600 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2009 CTTC
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Nicola Baldo <nbaldo@cttc.es>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/spectrum/model/waveform-generator.h ns-3.43/src/spectrum/model/waveform-generator.h
--- ns-3.42/src/spectrum/model/waveform-generator.h	2024-05-29 15:29:47.172073600 -0700
+++ ns-3.43/src/spectrum/model/waveform-generator.h	2024-10-09 16:41:10.092656600 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2009 CTTC
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Nicola Baldo <nbaldo@cttc.es>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/spectrum/test/spectrum-ideal-phy-test.cc ns-3.43/src/spectrum/test/spectrum-ideal-phy-test.cc
--- ns-3.42/src/spectrum/test/spectrum-ideal-phy-test.cc	2024-05-29 15:29:47.172073600 -0700
+++ ns-3.43/src/spectrum/test/spectrum-ideal-phy-test.cc	2024-10-09 16:41:10.092656600 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2011 CTTC
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Nicola Baldo <nbaldo@cttc.es>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/spectrum/test/spectrum-interference-test.cc ns-3.43/src/spectrum/test/spectrum-interference-test.cc
--- ns-3.42/src/spectrum/test/spectrum-interference-test.cc	2024-05-29 15:29:47.172073600 -0700
+++ ns-3.43/src/spectrum/test/spectrum-interference-test.cc	2024-10-09 16:41:10.092656600 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2009 CTTC
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Nicola Baldo <nbaldo@cttc.es>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/spectrum/test/spectrum-test.h ns-3.43/src/spectrum/test/spectrum-test.h
--- ns-3.42/src/spectrum/test/spectrum-test.h	2024-05-29 15:29:47.172073600 -0700
+++ ns-3.43/src/spectrum/test/spectrum-test.h	2024-10-09 16:41:10.092656600 -0700
@@ -2,18 +2,7 @@
  * Copyright (c) 2009 University of Washington
  * Copyright (c) 2011 CTTC
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Nicola Baldo <nbaldo@cttc.es>
  * part of the code copied from test.h
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/spectrum/test/spectrum-value-test.cc ns-3.43/src/spectrum/test/spectrum-value-test.cc
--- ns-3.42/src/spectrum/test/spectrum-value-test.cc	2024-05-29 15:29:47.172073600 -0700
+++ ns-3.43/src/spectrum/test/spectrum-value-test.cc	2024-10-09 16:41:10.092656600 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2009 CTTC
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Nicola Baldo <nbaldo@cttc.es>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/spectrum/test/spectrum-waveform-generator-test.cc ns-3.43/src/spectrum/test/spectrum-waveform-generator-test.cc
--- ns-3.42/src/spectrum/test/spectrum-waveform-generator-test.cc	2024-05-29 15:29:47.172073600 -0700
+++ ns-3.43/src/spectrum/test/spectrum-waveform-generator-test.cc	2024-10-09 16:41:10.092656600 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2011 CTTC
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Luis Pacheco <luisbelem@gmail.com>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/spectrum/test/three-gpp-channel-test-suite.cc ns-3.43/src/spectrum/test/three-gpp-channel-test-suite.cc
--- ns-3.42/src/spectrum/test/three-gpp-channel-test-suite.cc	2024-05-29 15:29:47.172073600 -0700
+++ ns-3.43/src/spectrum/test/three-gpp-channel-test-suite.cc	2024-10-09 16:41:10.092656600 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2019 SIGNET Lab, Department of Information Engineering,
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  */
 
 #include "ns3/abort.h"
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/spectrum/test/tv-helper-distribution-test.cc ns-3.43/src/spectrum/test/tv-helper-distribution-test.cc
--- ns-3.42/src/spectrum/test/tv-helper-distribution-test.cc	2024-05-29 15:29:47.172073600 -0700
+++ ns-3.43/src/spectrum/test/tv-helper-distribution-test.cc	2024-10-09 16:41:10.092656600 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2014 University of Washington
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Benjamin Cizdziel <ben.cizdziel@gmail.com>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/spectrum/test/tv-spectrum-transmitter-test.cc ns-3.43/src/spectrum/test/tv-spectrum-transmitter-test.cc
--- ns-3.42/src/spectrum/test/tv-spectrum-transmitter-test.cc	2024-05-29 15:29:47.172073600 -0700
+++ ns-3.43/src/spectrum/test/tv-spectrum-transmitter-test.cc	2024-10-09 16:41:10.092656600 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2014 University of Washington
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Benjamin Cizdziel <ben.cizdziel@gmail.com>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/spectrum/test/two-ray-splm-test-suite.cc ns-3.43/src/spectrum/test/two-ray-splm-test-suite.cc
--- ns-3.42/src/spectrum/test/two-ray-splm-test-suite.cc	2024-05-29 15:29:47.172073600 -0700
+++ ns-3.43/src/spectrum/test/two-ray-splm-test-suite.cc	2024-10-09 16:41:10.092656600 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2022 SIGNET Lab, Department of Information Engineering,
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  */
 
 #include <ns3/abort.h>
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/spectrum/utils/two-ray-to-three-gpp-ch-calibration.py ns-3.43/src/spectrum/utils/two-ray-to-three-gpp-ch-calibration.py
--- ns-3.42/src/spectrum/utils/two-ray-to-three-gpp-ch-calibration.py	2024-05-29 15:29:47.172073600 -0700
+++ ns-3.43/src/spectrum/utils/two-ray-to-three-gpp-ch-calibration.py	2024-10-09 16:41:10.092656600 -0700
@@ -6,17 +6,7 @@
 Copyright (c) 2022 SIGNET Lab, Department of Information Engineering,
 University of Padova
 
-This program is free software: you can redistribute it and/or modify it under
-the terms of the GNU General Public License as published by the Free Software
-Foundation, either version 3 of the License, or (at your option) any later
-version.
-
-This program is distributed in the hope that it will be useful, but WITHOUT
-ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
-FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.
-
-You should have received a copy of the GNU General Public License along with
-this program. If not, see <http://www.gnu.org/licenses/>.
+SPDX-License-Identifier: GPL-2.0-only
 """
 
 import argparse as argp
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/stats/examples/double-probe-example.cc ns-3.43/src/stats/examples/double-probe-example.cc
--- ns-3.42/src/stats/examples/double-probe-example.cc	2024-05-29 15:29:47.172073600 -0700
+++ ns-3.43/src/stats/examples/double-probe-example.cc	2024-10-09 16:41:10.092656600 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2012 University of Washington
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  */
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/stats/examples/file-aggregator-example.cc ns-3.43/src/stats/examples/file-aggregator-example.cc
--- ns-3.42/src/stats/examples/file-aggregator-example.cc	2024-05-29 15:29:47.172073600 -0700
+++ ns-3.43/src/stats/examples/file-aggregator-example.cc	2024-10-09 16:41:10.092656600 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2013 University of Washington
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Mitch Watrous (watrous@u.washington.edu)
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/stats/examples/file-helper-example.cc ns-3.43/src/stats/examples/file-helper-example.cc
--- ns-3.42/src/stats/examples/file-helper-example.cc	2024-05-29 15:29:47.172073600 -0700
+++ ns-3.43/src/stats/examples/file-helper-example.cc	2024-10-09 16:41:10.092656600 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2013 University of Washington
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * This is based on double-probe-example.cc.
  *
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/stats/examples/gnuplot-aggregator-example.cc ns-3.43/src/stats/examples/gnuplot-aggregator-example.cc
--- ns-3.42/src/stats/examples/gnuplot-aggregator-example.cc	2024-05-29 15:29:47.172073600 -0700
+++ ns-3.43/src/stats/examples/gnuplot-aggregator-example.cc	2024-10-09 16:41:10.092656600 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2013 University of Washington
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Mitch Watrous (watrous@u.washington.edu)
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/stats/examples/gnuplot-example.cc ns-3.43/src/stats/examples/gnuplot-example.cc
--- ns-3.42/src/stats/examples/gnuplot-example.cc	2024-05-29 15:29:47.172073600 -0700
+++ ns-3.43/src/stats/examples/gnuplot-example.cc	2024-10-09 16:41:10.092656600 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2011 University of Washington
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Mitch Watrous (watrous@u.washington.edu)
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/stats/examples/gnuplot-helper-example.cc ns-3.43/src/stats/examples/gnuplot-helper-example.cc
--- ns-3.42/src/stats/examples/gnuplot-helper-example.cc	2024-05-29 15:29:47.172073600 -0700
+++ ns-3.43/src/stats/examples/gnuplot-helper-example.cc	2024-10-09 16:41:10.092656600 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2013 University of Washington
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * This is based on double-probe-example.cc.
  *
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/stats/examples/time-probe-example.cc ns-3.43/src/stats/examples/time-probe-example.cc
--- ns-3.42/src/stats/examples/time-probe-example.cc	2024-05-29 15:29:47.172073600 -0700
+++ ns-3.43/src/stats/examples/time-probe-example.cc	2024-10-09 16:41:10.092656600 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2014 University of Washington
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  */
 
 //
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/stats/helper/file-helper.cc ns-3.43/src/stats/helper/file-helper.cc
--- ns-3.42/src/stats/helper/file-helper.cc	2024-05-29 15:29:47.172073600 -0700
+++ ns-3.43/src/stats/helper/file-helper.cc	2024-10-09 16:41:10.092656600 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2013 University of Washington
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Mitch Watrous (watrous@u.washington.edu)
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/stats/helper/file-helper.h ns-3.43/src/stats/helper/file-helper.h
--- ns-3.42/src/stats/helper/file-helper.h	2024-05-29 15:29:47.172073600 -0700
+++ ns-3.43/src/stats/helper/file-helper.h	2024-10-09 16:41:10.092656600 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2013 University of Washington
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Mitch Watrous (watrous@u.washington.edu)
  */
